== Changelog ==

= 1.2.78.0 =
* Added [Copper CRM integration](https://mailoptin.io/article/connect-wordpress-copper-crm/).
* Fixed security issue where a non-whitelisted option could be used as a list-subscription field value.

= 1.2.77.3 =
* Improved PHP 8.5 support.
* Fixed security issue where optin without the list-selection field behaved as one.

= 1.2.77.2 =
* Fixed more Outlook email template rendering issues.

= 1.2.77.1 =
* Added column support for posts in email template.
* Updated Klaviyo API to version 2026-04-15
* Improved email template support for Outlook.
* Fixed subscription bug in Brevo on duplicate contact.

= 1.2.77.0 =
* Added SendPulse email marketing integration.
* Added Bento email marketing integration.
* Increased API request timeout.
* Improved hiding of content in Outlook email.
* Added filter to remove footer section from email template DOM.
* Fixed Carbon issues with Dates.
* Improved admin ui for WP 7.

= 1.2.76.0 =
* Added Mailercloud email marketing integration.
* Improved admin UI.
* Added Cloudflare Turnstile integration
* Added Background processing of external optin.
* Fixed fatal error with cloning optin.
* Fixed fatal error with optin titles containing % in charts.
* Fixed bug where Sender integration did not fetch all lists.
* Fixed bug where Flodesk integration didn't return all segments.

= 1.2.75.4 =
* Upgraded HubSpot integration fully to v3 API.
* Added safeguards to prevent multiple error emails.
* Improved performance.
* Fixed a couple of PHP errors.

= 1.2.75.3 =
* Fixed email campaign errors getting duplicated.

= 1.2.75.2 =
* Improved background processing of email campaigns.
* Fixed bug where users can receive email campaigns multiple times.

= 1.2.75.1 =
* Improved background processing queue by splitting into chunks.
* Fixed XSS in optin campaign.

= 1.2.75.0 =
* Added [Sender.net integration](https://mailoptin.io/article/connect-wordpress-sender/).
* Added [Groundhogg integration](https://mailoptin.io/article/create-groundhogg-forms-wordpress/).
* added mo_email_campaign_shortcode_post_meta filter.

= 1.2.74.0 =
* Added [Ortto integration](https://mailoptin.io/article/connect-wordpress-ortto/).
* Improved [Drip integration](https://mailoptin.io/article/connect-wordpress-drip/) to latest platform update.
* Fixed: Function _load_textdomain_just_in_time was called incorrectly.

= 1.2.73.2 =
* Display active integrations first.
* Added option to prevent ESC key from closing a popup.
* Added setting to disable opt-in error emails.
* Added link to send draft broadcasts from the listing page.
* Added caching to Highlevel api calls.
* Excluded all api keys not found errors from logging.
* Fixed bug where invalid beehiiv subscription could be considered valid.

= 1.2.73.1 =
* Added WooCommerce block checkout support for optin checkbox.
* Added more Woo order data for optin field mapping.
* Redesigned integrations page.
* Added mo_email_campaign_ensure_valid_html filter to fix invalid email HTML.
* Fixed bug where user deletion did not work in wp-admin.

= 1.2.73.0 =
* Pro: [Google Sheets integration](https://mailoptin.io/article/connect-wordpress-with-google-sheet/?ref=changelog).
* Added [Encharge integration](https://mailoptin.io/article/connect-wordpress-encharge/?ref=changelog).
* Fixed fatal error caused in our Ninja forms integration.
* Fixed fatal error in Forminator integration.
* Fixed bug with email digest formatting in email campaign.
* Fixed bug with Leads exporting not working.

= 1.2.72.2 =
* Added filter to email campaign email subject.
* Added safemode customizer feature.
* Removed Godaddy email marketing integration.
* Fixed PHP warnings and notices.

= 1.2.72.1 =
* Added tagging support to Zoho Campaigns
* Updated Campaign Monitor API to 3.3.
* Fixed bug with incorrect insertion of ob_start().

= 1.2.72.0 =
* Customizer UI bug fix for WP 6.7
* Fixed bug where email campaign might not work for selected post/tag automation.
* Fixed bug where optin error email lacked optin campaign context.
* Fixed a couple of PHP warning errors.
* Fixed integer precision loss in echo/output in MailerLite by casting large API IDs to strings.

= 1.2.71.1 =
* PHP Fixes and performance improvements.

= 1.2.71.0 =
* Added [WS Form integration](https://mailoptin.io/article/ws-form-mailchimp-aweber-more/?ref=changelog).
* Fixed: PHP Warning: Undefined array key "placeholder"
* Reworked how asset URLs in the plugin are dynamically retrieved.
* Fixed bug where rate-limit counter didn’t reset after successful token refresh.

= 1.2.70.4 =
* Added more donation data for field mapping in GiveWP integration.
* Remove deprecated jQuery codes.
* Security: Fixed XSS from post-meta shortcode in email campaign builder.
* Remove redundant Divi shortcodes when present.

= 1.2.70.3 =
* Updated Brevo API from sendinblue.com to brevo.com.
* Improved Paid Memberships Pro checkout integration.
* Enhancement: Automatically display price in emails when Woo is active and post is a product.
* Fixed bug where Zoho Campaigns Canada DC accounts didn't work.
* Fixed incompatibility with OceanWP theme.

= 1.2.70.2 =
* Added content-type header to PATCH webhook request
* Stop AWeber retry if 401 error is detected.

= 1.2.70.1 =
* Added mo_new_publish_post_condition_check filter.
* Fixed bug where whitespace in From and Replyto emails could lead to email campaign not sending.
* Fixed bug with contextual display of getresponse settings field
* Fixed: PHP Parse error: unexpected 'string' (T_STRING).

= 1.2.70.0 =
* Added [Elastic Email integration](https://mailoptin.io/article/connect-wordpress-elastic-email/).
* Improved Block Editor support.

= 1.2.69.1 =
* Fixed bug where Beehiiv integration without selected tier didn't work.
* Fixed bug where Contact Form 7 integration with acceptance checkbox didn’t work.
* Fixed bug where popup triggered JS error.

= 1.2.69.0 =
* Added [Beehiiv integration](https://mailoptin.io/article/connect-wordpress-beehiiv/).
* Added compatibility support for Forminator 1.31
* FB Connection API now defaults to v19.0.

= 1.2.68.0 =
* Added [HighLevel integration](https://mailoptin.io/article/connect-wordpress-highlevel/).
* Improved php 8 support.

= 1.2.67.1 =
* Increased optin campaign name limit to 20 chars
* Added alt to close icon in optin popups.
* Fixed fatal error: Uncaught Error: Cannot assign an empty string to a string offset.
* Fixed bug where Klaviyo only returned 10 lists.

= 1.2.67.0 =
* Added [Flodesk integration](https://mailoptin.io/article/connect-wordpress-flodesk/).
* Fixed bug with email builder elements appearing multiple times.
* Use readmore excerpt first before using the defined excerpt in post email campaigns.

= 1.2.66.0 =
* Klaviyo API upgrade.
* Added delete-all-log bulk action to the campaign log screen.
* Updated Omnisend API Keys URL.
* Ensure taxonomy exists before checking their terms meet email automation criteria.
* Ensure webhook is disabled for all form integrations.

= 1.2.65.1 =
* Added support for restricting email based on taxonomies attached to 'post' post-type.
* Added $error_message param to mo_optin_form_email_error_email_subject filter.
* Remove users from the unsubscribe list when deleted.

= 1.2.65.0 =
* Added [Mailgun](https://mailoptin.io/article/connect-wordpress-mailgun/) integration.
* Added [E-goi](https://mailoptin.io/article/connect-wordpress-e-goi/) integration.
* Added [iContact](https://mailoptin.io/article/connect-wordpress-icontact/) integration.
* Pro: [Ultimate Member](https://mailoptin.io/article/ultimate-member-mailchimp-aweber-more/) integration.
* Trigger optin error on CC v3 subscription failure.
* Fixed bug where leads were not removed from unsubscribed list on resubscription.

= 1.2.64.0 =
* Added [Fluent Forms](https://mailoptin.io/article/fluent-forms-email-marketing-crm/) integration.
* Added WP user's merge tags support for email campaigns.

= 1.2.63.0 =
* Pro: Added [Tutor LMS](https://mailoptin.io/integrations/tutor-lms/) integration.
* Added filter for adding custom HTML attributes to optin form fields.
* Fixed bug with range-control slider not updating input value.
* Fixed bug in detecting Sendy integration connection status.

= 1.2.62.0 =
* Pro: [WooCommerce Memberships Optin](https://mailoptin.io/article/woocommerce-memberships-mailchimp-aweber-more/) integration.
* Added ability to send test emails of draft posts.

= 1.2.61.0 =
* Pro: [Microsoft Dynamics 365](https://mailoptin.io/article/create-microsoft-dynamics-365-wordpress-forms-capture-leads/) integration.
* Fixed conflicts with the OceanWP theme.

= 1.2.60.0 =
* Pro: [Salesforce](https://mailoptin.io/article/create-salesforce-wordpress-forms-capture-leads/) integration.
* Added [Benchmark Email](https://mailoptin.io/article/create-benchmark-email-wordpress-forms/) integration.
* PHP 8 compatibility improvements.

= 1.2.59.0 =
* Added [Omnisend](https://mailoptin.io/article/create-omnisend-optin-forms-wordpress/) integration.
* Improved {{date}} usage in email campaigns.
* Fixed bug with formidable forms integration not working.
* Fixed VTI bug.

= 1.2.58.2 =
* Fixed bug where actual mailchimp api error was missing during error logging.
* Renamed Sendinblue to Brevo.

= 1.2.58.1 =
* Fixed bug with falsey error emails going out.
* Fixed issue with checkbox not showing correctly in forminator addon settings page.
* Fixed double optin issue in forminator integration.
* Ensure conversion page is correctly populated with Forminator, Gravity forms, Formidable Forms & WPForms integration.

= 1.2.58.0 =
* Added integration with the new MailerLite platform.

= 1.2.57.0 =
* Pro: [Restrict Content Pro](https://mailoptin.io/integrations/restrict-content-pro/?ref=changelog) integration.
* Added filter to flag a sendinblue field as boolean.
* Fixed a couple of PHP Warning: Undefined array key.
* Fixed bug with error reporting.

= 1.2.56.0 =
* Pro: [GiveWP](https://mailoptin.io/integrations/givewp/?ref=changelog) integration.
* Added preheader support when creating email automations and broadcasts.
* Added lagacy label to old Constant Contavt integration.

= 1.2.55.1 =
* Pro: [Added email support to LifterLMS](https://mailoptin.io/article/send-wordpress-emails-lifterlms-students/?ref=changelog).

= 1.2.55.0 =
* Pro: [Paid Memberships Pro](https://mailoptin.io/integrations/paid-memberships-pro/) integration.
* Pro: Improved [Easy Digital Downloads email campaign](https://mailoptin.io/article/send-emails-edd-customers-wordpress/) integration.
* Pro: Improved [MemberPress email campaign](https://mailoptin.io/article/send-wordpress-emails-memberpress-members/) integration.
* Pro: Improved [WooCommerce Membership email campaign](https://mailoptin.io/article/send-emails-woocommerce-memberships/) integration.
* Pro: Improved [WooCommerce Subscriptions email campaign](https://mailoptin.io/article/send-emails-woocommerce-subscriptions/) integration.
* Fixed bug where some hubspot properties were missing in fetch.

= 1.2.54.1 =
* Added WPML compatibility.
* Ensure email is valid before attempt to subscribe.
* Fixed couple of XSS on admin settings page
* Restrict admin notices to only administrators.

= 1.2.54.0 =
* Pro: [send emails to LearnDash users](https://mailoptin.io/article/send-wordpress-emails-learndash-users/?ref=changelog).
* Fixed bug where empty images when post doesn't have feature image was in email.
* Fixed email content with broken html.
* Fixed bug where VTI was including p tag in matching link.
* Added missing error log link for MailPoet, Mailster, FCRM.

= 1.2.53.0 =
* Pro: [send emails to Easy Digital Downloads customers](https://mailoptin.io/article/send-emails-edd-customers-wordpress/).
* PHP 8 compatibility improvements.
* Converts relative image URLs to absolute URLs.
* Fix PHP Fatal error with Forminator quiz integration.
* Fix deprecation errors from Elementor forms integration.

= 1.2.52.1 =
* Added OPT_IN Sendinblue contact attribute support.
* Fixed: TypeError thrownCannot access offset of type string on string
* Fixed bug where mailoptin_disable_send_optin_error_email filter didn't work in some cases.
* Increased email campaign title DB limit
* Added tool to install missing Mailoptin missing DB tables.

= 1.2.52.0 =
* Pro: [LifterLMS integration](https://mailoptin.io/article/lifterlms-mailchimp-aweber-more/?ref=changelog).
* Added error handling output on failed email campaign creation.
* Added [post-author-avatar-url] support to email campaigns.

= 1.2.51.1 =
* Extended cache clearing to also clear ESP related data.
* Fixed PHP warning: Invalid argument supplied for foreach().

= 1.2.51.0 =
* Pro: [WooCommerce](https://mailoptin.io/article/send-emails-woocommerce-customers-wordpress/?ref=prochangelog) email support.
* Pro: [WooCommerce Subscriptions](https://mailoptin.io/article/send-emails-woocommerce-subscriptions/?ref=prochangelog) email support.
* Pro: [WooCommerce Memberships](https://mailoptin.io/article/send-emails-woocommerce-memberships/?ref=prochangelog) email support.
* jQuery syntax update.
* Fixed bug where select2 re-population didn't work for some fields.

= 1.2.50.0 =
* Pro: [Easy Digital Downloads integration](https://mailoptin.io/article/edd-mailchimp-aweber-more/?ref=changelog).
* Pro: [Cookie Optin Targeting](https://mailoptin.io/article/target-visitors-based-browser-cookies//?ref=changelog) support.
* Added capability and nonce check to optin cache clearing.
* Fixed: Implicit conversion from float 1.0E+20 to int loses precision.
* Added filter to campaign error email address.

= 1.2.49.0 =
* Pro feature: Added [Comment Form Optin](https://mailoptin.io/article/wordpress-comment-form-email-subscription/?ref=changelog).
* Pro feature: Added [User Registration Optin](https://mailoptin.io/article/user-registration-optin-mailchimp-aweber-more/?ref=changelog).
* Pro feature: Added [MemberPress email campaign](https://mailoptin.io/article/send-wordpress-emails-memberpress-members/?ref=changelog).
* Fixed PHP notice caused by WP_User_Query being called with an argument that is deprecated.
* Added Japan Zoho DC support.
* Fixed NewsMan email campaign bug with encoding.

= 1.2.48.0 =
* Pro feature: Added [MemberPress integration](https://mailoptin.io/article/memberpress-mailchimp-aweber-more/?ref=changelog).
* Fixed bug where not all zoho list were retrieved.
* Fixed bug with Newsman optin not working.
* Added better error reporting for wp_mail deliveries.
* Removed unused cron job.

= 1.2.47.1 =
* Removed the Full Site Editing callout in customizer.
* Fixed bug where VTI was matching in a link.

= 1.2.47.0 =
* Added LearnDash to [ESP integration](https://mailoptin.io/?p=33850&ref=changelog).
* Added filter to hubspot properties.

= 1.2.46.1 =
* Added filter to the admin email that receives optin error messages
* Added shortcode optin embed support for all display rules.
* Fixed fatal error conflict with Astra theme.

= 1.2.46.0 =
* Added newsman integration.
* Added email automation support to zoho campaigns.

= 1.2.45.2 =
* Improved the reliability of the new Constant Contact authentication.

= 1.2.45.1 =
* Move to a new authentication system for Constant Contact v3 integration. [Learn more](https://mailoptin.io/article/connect-mailoptin-with-constant-contact/#v3)

= 1.2.45.0 =
* Added support for new Constant Contact v3 integration endpoints - REAUTHORIZE URGENTLY.
* Added new sidebar and inpost optin themes.

= 1.2.44.0 =
* Pro feature [Sync WooCommerce customers to ESP support after a purchase](https://mailoptin.io/?p=32886&ref=changelog).
* Added filter to disable gutenberg block.

= 1.2.43.0 =
* Fixed bug where not all AWeber list were retrieved.
* Fixed bug with background image change not reflecting in customizer.
* Added filter to post collection function.
* Added alt when optin image is present.

= 1.2.42.2 =
* Improved CCv3 oauth connection.
* Switched hubspot to more v3 endpoints

= 1.2.42.0 =
* Pro feature [optin sound effect](https://mailoptin.io/?p=32472).
* Added 'mo-optin-success-state' class to optin form when a user subscribes.
* Increased HubSpot cache expiration time.
* Fixed range slider customizer control.

= 1.2.41.0 =
* CleaverReach referrer parameter fix.
* Improved caching efficiency of integrations data.
* Reduced Cleverreach access token expiration by 2 weeks to avoid refresh error.
* Remove empty paragraph tags and visual composer tags in email campaigns.
* Show feature image alt of posts on email campaigns.

= 1.2.40.1 =
* Added ACF field support for custom email templates.
* Added caching to expensive ESP API calls.
* Fixed Forminator fatal error.
* Fixed view in browser not working for SendGrid email marketing.

= 1.2.40.0 =
* New: [WooCommerce Added to cart](https://mailoptin.io/woocommerce-targeting/?ref=changelog) trigger.
* New: [WooCommerce Conditions](https://mailoptin.io/woocommerce-targeting/?ref=changelog) display rule.
* Enhancement: Only send email after user registration if password isn't set.
* Fixed bug where all MailerLite groups weren't returned.
* Updated JS libraries.
* Added filters to disable email notification to user and admin after registration.
* Added filter to disable VideoToImage.

= 1.2.39.2 =
* Fixed broken images in email body.
* Improved handling of mailjet API errors.
* Fixed wp listing UI issue.
* Fixed bug where some Sendinblue list was missing.
* Nuked every optin campaign ID that is 0 data retrieval.

= 1.2.39.1 =
* Fixed bug where mailoptin broke many ajax requests.
* Cleanup WPbakery shortcodes and empty paragraphs.
* Added is error checking to token refreshing.

= 1.2.39.0 =
* Premium: [Added Webhook integration](https://mailoptin.io/?p=31452).
* Fixed PHP 8.0 issue with http_build_query.

= 1.2.38.2 =
* Fixed fatal error in PHP 8

= 1.2.38.1 =
* Premium: Added autologin option to [user registration integration](https://mailoptin.io/article/create-wordpress-user-registration-form).
* Fixed PHP index error causing elementor forms not to work.
* Fixed Fatal error in WPForms integration.
* Fixed VTI issue where file without extension was failing.
* Fixed bug where inline css was shown in email message.
* Upgraded league/csv library to v9.
* Added more filters to email campaigns templatifiers.

= 1.2.38.0 =
* Improvements to Constant Contact v3 token refreshing.
* Fixed before&after content editor in email campaign not working.
* Fixed incompatibility with upcoming WP 5.8.
* Made custom email template shortcodes for new post notification available everywhere.
* Added filter for adding post author as email sender.

= 1.2.37.2 =
* Improved accuracy of detecting when cron is not working.
* Made cron admin notice dismissible.

= 1.2.37.1 =
* Performance improvements.

= 1.2.37.0 =
* Premium: Introduced [Content locker](https://mailoptin.io/?p=31106) feature.
* Detect when cron isn’t working and display admin notice to that effect.

= 1.2.36.3 =
* Fixed bug where plus (+) in post content was replaced with space.
* Fixed bug where Sendinblue Elementor integration forces DOI.

= 1.2.36.2 =
* Fixed multiple PHP error notices and improved PHP 8 support.

= 1.2.36.1 =
* Fixed bug where leads where accidentally deleted.
* Forminator integration bug fixes.

= 1.2.36.0 =
* Added Forminator integration.
* Fixed bug where our Gutenberg integration broke the editor.
* Added option to send test email to custom email addresses.
* Fixed issue where {{date}} wasn’t getting parsed in email campaigns.
* Fixed the splitting of multiples names into firstname and lastnames.
* Fixed Zoho Campaigns token refresh not working.

= 1.2.35.4 =
* Fixed issue where names with more than two words wasn't correctly synced to ESP.
* Fix potential issue where {{date}} wasn’t getting parsed in email campaigns.
* Fixed issue where Elementor field mapping wasn't working for Sendinblue.

= 1.2.35.3 =
* Fixed slider not working in email dnd builder.
* Improved email template for outlook.

= 1.2.35.2 =
* Fixed security issue in our Elementor integration.
* Extra security hardening.

= 1.2.35.1 =
* Added double-optin support to CleverReach integration.
* Fixed settings page conflict Analytify.
* Fixed issues with Firefox browser.

= 1.2.35.0 =
* Added CleverReach integration.
* Increased moosend email list number to 1k.
* Switched to mailoptin handle for localization js script.
* Do not set pageview cookie in lite or when mailoptin_enable_init_js_cookies filter is false.
* Fixed: preg_replace_callback() Compilation failed: invalid range in character class at offset.
* Removed code from Exception trigger in abstractConnect.

= 1.2.34.4 =
* Added missing integrations to Ninja Forms.
* Fixed fatal error when integration not found in Ninja Forms.
* Fixed issue causing post formatting in email campaign to be skewed.
* Fixed fatal error caused by emogrify incompatibility with other plugins.
* Fixed issue with oauth refresh failing.
* Added timestamp to error logging.

= 1.2.34.3 =
* Change oauth integrations nonce key to prevent error in connecting integrations.
* Fixed bug where images wasn’t included in automation emails.

= 1.2.34.2 =
* Added featured image size filter to posts.
* Change default optin success message to exclude "Please check your email for further instructions."
* Use enqueue_block_editor_assets instead for block registration instead of init.
* Implement filter to remove new and returning visitors cookies.

= 1.2.34.1 =
* Fix layout breakage caused by unclosed p tag.
* Fixed issue where elementorjs would result to undefined function error.

= 1.2.34.0 =
* Added more first/last name sendinblue contact attributes.
* Added Selected Users to WordPress Registered Users Integration.
* Switched to using wp_after_insert_post hook for new post notification automation.
* Lazy-load chosenjs customizer options.
* PHP 8 compatibility improvements.
* Resolve CSS conflicts with other plugins eg shortpixel.

= 1.2.33.1 =
* Fixed bugs with double optin in Sendinblue integration.
* Added filter "mo_optin_form_set_font_families_to_inherit" to make all optin font families a theme font.

= 1.2.33.0 =
* Added middle of content optin placement.
* Added double-optin support to Sendinblue.

= 1.2.32.0 =
* Added Constant Contact API v3 which include support for custom fields.
* Fixed issue where custom html forms caused customizer saving to fail.
* Fixed issue where Sendinblue view in browser and unsubscribe links weren't working.
* Added email notification when there is an email campaign error.
* Flag GA events as nonInteractive.

= 1.2.31.4 =
* Fixed fatal error that caused customizer not to work.

= 1.2.31.3 =
* Added missing tagging supports.

= 1.2.31.2 =
* Added FluentCRM integration.
* Switched from wp_redirect to wp_safe_redirect for 302 redirects.
* Improve oauth integrations token refreshing.

= 1.2.31.1 =
* Added weMail integration.
* Fixed bug where customizer preview wasn't showing changes being made.

= 1.2.31.0 =
* Added Formidable Forms integration.
* Added Woocommerce product tag page-targeting rule.
* Fixed bug where a non-admin account in AC was showing not connected.

= 1.2.30.6 =
* Switched from using wp_cache_* to static variable for non-persistent cache.

= 1.2.30.5 =
* Layout adjustments to lucid email template.
* Fixed bug in videotoimg where regex captured > in opening p tag and < in closing p tag.

= 1.2.30.4 =
* Added Jilt integration.
* Renamed GetResponse Enterprise to GetResponse MAX
* Fixed bug where google fonts were disabled by default.
* Fixed bug where GDPR eraser wasn't returning a response.

= 1.2.30.3 =
* Added option to disable google font loading.
* Fixed issue where vimeotoimg wasn’t working for Vimeo.
* Added filters to all post_content email campaign functions.
* Added cache implementation on expensive queries.
* Renamed newsletter to broadcast.
* Improved conversion tracking accuracy.

= 1.2.30.2 =
* UI compatibility with WP 5.5

= 1.2.30.1 =
* Fixed issue where fetching tags via ajax wasn’t working.
* Renamed Infusionsoft label.

= 1.2.30.0 =
* Added Infusionsoft integration.
* Added WordPress user registration integration.
* Added a new panel to clearly show embed shortcode, widget and block.
* Fixed multiple undefined index PHP errors.
* Improved optin conversion counter accuracy.
* Added missing Ninja Forms ESP integrations.

= 1.2.29.4 =
* Added SendFox integration.
* Added alert to check if title is filled when creating optin and automations.
* Fixed bug where optin stats weren't reset when AB test variants are created.
* Fixed bug where a list ID that is zero stopped optin from adding subscribers.
* Fixed bug where IP address might return ::1.
* Increased limit of mailjet contact properties fetched.

= 1.2.29.3 =
* Fixed bug where Zoho Campaigns wasn't working for non-us data-centers.
* Fixed bug where sending emails to large subscribers was failing.
* Improved compatibility with jQuery 3.x.
* Show a prompt before deleting any item.

= 1.2.29.2 =
* Fixed screen option pagination saving bug caused by WP 5.4.2.
* Further DB Query solidification.

= 1.2.29.1 =
* Fixed fatal error in cases where controls were missing when opening the customizer.
* Fixed bug where clicking save changes button doesn't save field mapping data.
* Added filter to disable admin notice ads.
* More improvements to themes compatibility.

= 1.2.29.0 =
* Added email list selection support. Visitors and users can now select lists to subscribe to (premium).
* Fixed error causing builder not to change state after saving.
* Fixed issue where specifying google font for custom fields wasn't working.

= 1.2.28.2 =
* Added option to disable linking to post article in post email automation.
* Improve compatibility with hestia, generatepress and many other themes.
* Fixed a weird z-index issue on optin forms.
* Fixed bug where spam CF7 submissions were saved to ESP.

= 1.2.28.1 =
* Fixed fatal error caused by missing Ninja Forms integration class.

= 1.2.28.0 =
* Added Gravity Forms integration.
* Added SendGrid email marketing integration.
* DB Query solidification.
* Added option to use post excerpt instead of post content in email automation.
* Added filter to delete leads after unsubscription.

= 1.2.27.5 =
* Added Ninja Forms integration.
* Added conversion tracking of custom html.

= 1.2.27.4 =
* Fixed issue were AWeber stopped working.

= 1.2.27.3 =
* Added Contact Form 7 integration.
* Improved UX on renaming optin and email campaigns.
* Upgraded to Fancybox to version 3.

= 1.2.27.2 =
* Added WPForms integration.
* Added shortcode parsing to email content
* Improve compatibility with Divi builder.
* Fixed sendinblue error in fetching lists.

= 1.2.27.1 =
* Swapped out session storage adapter for compatibility with host with session disabled.
* Increased sendinblue list fetched limit.
* Improve multisite compatibility.
* Fixed backupbuddy compatibility issue.
* Added server level disabling of impression tracking.

= 1.2.27.0 =
* Improvement to ensure post content doesn’t breakout of defined width of email templates.
* Fixed issue where submit event wasn’t triggered when optin form is submitted.
* Rewrote and simplified page targeting rule engine.
* Fixed issue where submit event wasn’t triggered when optin form is submitted.
* Fixed submit button styling issue in ios safari.
* Fixed bug where cookie duration was set where success cookie should be set instead.

= 1.2.26.0 =
* Added Facebook custom audience integration (premium)
* Added form width support.
* Fixed issue where filter for admin email that receives test emails wasn't working.

= 1.2.25.0 =
* Added Elementor form lead tagging support.
* Added tagging support to GetResponse integration.
* Added custom field support to Gist.
* Added filter to admin email that receives test emails.
* Added GA conversion tracking on CTA click to URL.
* added default attribute for post feature image shortcode.
* Font weight and styling fixes for a number of optin themes.
* Fixed bug where contact without subscription status failed to be subscribed in Mailchimp.
* Fixed bug where ontraport subscription was failing.
* Change AWeber to use the new upsert method (update subscriber if existing).
* Changed GetResponse360 to GetResponse enterprise.

= 1.2.24.0 =
* Added Zoho CRM integration.
* Added youtube-nocookie.com embed support for email.
* Fixed issue where 2 same form on the same page wouldn’t work.
* Replaced fontawesome with dashicons in admin dashboard.

= 1.2.23.1 =
* Added mailoptin_controls_helper_get_post_types filter to control post type visibility.

= 1.2.23.0 =
* Added Emma email marketing integration.

= 1.2.22.1 =
* Upgraded klaviyo integration to new list API v2.
* Fixed: sendy bug where user subscription wasn't working for Sendy v4.0.3.3.

= 1.2.22.0 =
* Added: New email builder for crafting one-off newsletters to subscribers.
* Fixed title naming for email campaigns.
* Fixed: scheduling now more accurate by forcing strtotime to use utc.

= 1.2.21.1 =
* Improve reliability of error notifications.

= 1.2.21.0 =
* Added and made WP HTTP API the default http client.
* Added Leadbank subscribers email automation support.
* Fixed bug with registered users unsubscription.

= 1.2.20.0 =
* Added Zoho Campaigns integration.
* Added: Restrict to post authors added in email automation.
* Fixed bug where Divi backend builder wasn’t triggering new post automation.
* Added nonce check when saving oauth credentials.

= 1.2.19.1 =
* Added display of post meta to email template settings. E.g post author, date published and post categories.
* Added filter to disable emogrify.
* Fix: do not enqueue recaptcha when keys are not present.
* Fixed bug where preview post title wasn’t used when test email is sent
* Removed usage tracking.

= 1.2.19.0 =
* Added GoDaddy email marketing integration
* Added honeypot check server-side to prevent spams.

= 1.2.18.1 =
* Added Moosend integration.
* Fixed Fatal error Cannot use MailOptin\Core\EmailCampaigns\Newsletter\Newsletter as Newsletter.
* Added link to disconnect OAUTH connections.

= 1.2.18.0 =
* Added Hubspot integration.
* Fixed media uploader issue in newsletter creation UI.
* Added {{date}} placeholder support for email subject.
* Fixed issue where sending of test newsletters email had the title skewed.
* Added disabling of new post notification in Gutenberg editor.

= 1.2.17.0 =
* Added Ontraport integration.
* Added Mailjet integration.
* Added Vertical Response integration.
* Updated Mailpoet integration to use it's API for every operation.
* Fixed sender name and email not injected on autoresponder emails.
* Added doc link on how to fix the popular no email list found error.
* Added stripslash support for from name.

= 1.2.16.1 =
* Added option to change optin theme.
* Added unsubscribe support for emails sent to registered users.

= 1.2.16.0 =
* Added one-off newsletter support.
* Added ninja forms support for custom html feature.
* Fixed: conditional display in optin customizer.

= 1.2.15.1 =
* Added link to view integrations error log.
* Added option to target users by their role.
* Fixed: when click launch is activated, query string section is not hidden.
* Fixed Uncaught TypeError: Cannot read property 'active' of undefined.
* Added customizer option to remove post body in email automation.
* Increase maximum post range slider to 1000 in email automation settings.
* Added split test support for shortcode optin embed.

= 1.2.15.0 =
* Added new optin themes.
* Added ability to replace the default fields with a shortcode and/or HTML content.
* Added query string targeting display rule.
* Added feature to hide optins on urls with the mohide=true query string.
* Added categories and tax support to [posts-loop] email digest shortcode.
* Allow users access to MailOptin with with manage_mailoptin capability.
* Fixed bug where optin theme customizer config override another theme.
* Fixed compatibility with Windows server.
* Fixed bug with replacement of name and address placeholder tags in email automation.
* Only load optin theme dependent script on mailoptin customizer UI.

= 1.2.14.0 =
* New: Disable closing of lightbox on backdrop click.
* Added filter to use excerpt instead of post content in email automation.
* Added Gutenberg block form embedding optin forms.

= 1.2.13.2 =
* Fixed bug with custom taxonomies settings not saving in email automation.
* Fixed issues with email automation custom template shortcode tags not working.
* Fixed bug where post with full content wasn't triggering email automation.
* Fixed issue where ESP with default static fields returned empty because no custom user created field was found.

= 1.2.13.1 =
* Fixed issue where youtube/vimeo embed wasn't correctly showing in email.
* Fixed PHP Deprecated:  define(): Declaration of case-insensitive constants is deprecated.
* Core files are now included in parent plugin folder instead of composer vendor directory.

= 1.2.13.0 =
* Design refresh of the dashboard.
* Added setting to disable impression tracking.
* Lead bank now has its own settings page.

= 1.2.12.2 =
* Added support for windows hosting.
* Added advance settings to name field for ESP mapping.
* Made all tinymce control text/visual.

= 1.2.12.1 =
* Fixed issue where sending new post notification failed in some rare cases.
* Fixed sendinblue bug where email address belonging to another list failed to be subscribed.

= 1.2.12.0 =
* Removed optin campaigns and conversion limit.
* Added shortcode support for optin forms.
* Fixed bug where email automation customizer wasn't saving.
* Made headline in optin customizer visual/text.
* Added shortcode support to success message.
* Reduced inline js object added to frontend.
* Added better explanation to re-authorize connection button.
* Subscriber name is now split into name and lastname for Mailerlite connection.
* Updated Convertfox to Gist.
* Fixed bug with mailchimp interest user input.
* Added sendinblue list sync where by user are not removed from their previous joined list.
* Fix for mailchimp GDPR optin consent not working.

= 1.2.11.4 =
* Removed unused file.

= 1.2.11.3 =
* Remove lite upgrade in compliance with WP.org rule.

= 1.2.11.2 =
* Sendinblue optin fix when automation is active.
* Remove IP address from ActiveCampaign payload if ip is not ip4.
* More tighter customizer cleanup for improve compatibility with most themes and plugins.
* Fix support for youtube and vimeo embed.
* Made description wysiwyg to be text/visual.

= 1.2.11.1 =
* Responsive font size fixes for optin forms.
* Fixed a number of PHP notice errors.
* Added filter to disable sending optin errors email.

= 1.2.11.0 =
* Added support for custom post type to email automation.
* Optin branding now disabled by default.
* Better control over google fonts to load when not necessary.
* Improve optin themes compatibility with most WP themes.

= 1.2.10.1 =
* Fixed bug with Mailerlite subscription not working.
* Fixed bug where hiding note wasn’t working.
* Fixed bug where effects wasn’t working in customizer preview.
* Fixed: Uncaught TypeError: Cannot read property 'scrollHeight' of undefined.
* Fixed bug with scripts not being cleaned up in customizer.

= 1.2.10.0 =
* Added support for changing optin font sizes.
* Added support to inherit theme font in optins.
* Added support for MailChimp GDPR tool for saving consent.
* Optin no longer load an external css stylesheet.
* Remove quoted slash from campaign names.
* Some performance enhancements.

= 1.2.9.0 =
* Added Mailster Integration.
* Added new switch customizer loader method.
* Added confirmation prompt before deleting optin and email campaigns.
* Added after main content control to email template.
* Added easy google font plugin compatibility.
* Fixed issue with urlencode happening to urls in email campaign.
* Deactivate cloned optin and email campaign by default.
* Test mode now ignore display rules.

= 1.2.8.2 =
* Only return untrashed and default type list for mailpoet.
* Now obfuscating sendlane hash field.
* Added timeout to MC HTTP client instance

= 1.2.8.1 =
* Fixed bug with curl not working on some host
* Fixed bug with MailChimp email automation not sending

= 1.2.8.0 =
* Added headers to email customizer.
* Metabox settings to skip a post from being included in new post notification.
* Added Sendlane integration.

= 1.2.7.1 =
* Fixed bug with sendinblue not adding contact to list
* Displays email template un-emogrified in customizer so custom css ish can be targeted and used.
* Filter for adding custom page targeting rules added.
* Fixed mini headline preview not working in some themes.
* Added compatibility with flatbase theme
* Ensure optin_type exist for the campaign before adding to DB to prevent PHP error.

= 1.2.7.0 =
* New dashboard redesign. Yay! Connections is now called integrations.
* New: Email digest of published post [paid feature].
* You can now edit automation campaign name.
* Improve optin customization option.
* Bug fix where name field required wasn’t hidden when name field is set to hidden.
* Improve compatibility with nextgen gallery.

= 1.2.6.0 =
* Fixed bug where upgrade from lite to premium wasn't working.
* Added tabs to sort controls into General and Style.
* Added option to remove feature image from email campaign
* Added before main content body editor control to email automation
* Send test email feature is now retried without header.
* Contextual naming of connection service list label re-added.
* Added contextual display of some controls in email campaign customizer

= 1.2.5.1 =
* Enhance compatibility with more themes such as the popular Newspaper theme.
* Added more optin form themes for lite users.

= 1.2.5.0 =
* Lite lightbox now load after about 3 seconds
* Performance improvements.

= 1.2.4.2 =
* Added filter sorting to connections.
* Performance improvements.

= 1.2.4.1 =
* Restricted removal of admin notice from other plugin to just mailoptin settings pages.
* Fix for IP address getter.
* [GDPR] Consent is now passed to MailChimp as custom field.
* [GDPR] Consent is now passed to EmailOctopus as custom field.

= 1.2.4.0 =
* [GDPR] Added checkbox to optin form and save consent in ESP mostly as tags and custom field.
* [GDPR] Added control to make name field in optin required or not
* Fixed incorrect IP address label for Klaviyo integration
* Fixed bug where Klaviyo included segment in list fetch
* Form and email template builder URL now shortened.
* Improve button to add new campaigns to be more visible.
* Added notice when no connection is available in optin form builder.
* Added optin type flag to optin name.
* Fixed bug where specifying custom listing number in wp list wasn’t working.

= 1.2.3.1 =
* Fixed issue where Elegance Lightbox wasn't showing in optin listing.

= 1.2.3.0 =
* Added Klaviyo integration
* Added Elegance lightbox optin theme.
* Added some toast notifications to the form builder to remind you of things to do.
* Added filtering of new post notification by post tags and categories.
* Added auto-detect and convert vimeo & youtube embed to image link.
* Added: New post notification can now be sent to users with specific roles.
* Sendy optin subscription now include leads ip-address and referrer.
* Improved compatibility with most WP themes in customizer.
* Fixed bug where contextual display of integrations wasn’t properly working.
* Fixed usage tracking not dismissing.
* Moved success message to after conversion panel.
* Update tinymce control to use the latest API.
* Added filter customize/edit url.

= 1.2.2.2 =
* Fixed bug where ConvertFox was failing to add leads.

= 1.2.2.1 =
* Fixed bug where 'Globally load optin' wasn't kicking in.

= 1.2.2.0 =
* Added ConvertFox integration.
* Added Sendinblue integration.
* Switched from wp-admin-ajax to a custom ajax handler.
* Fixed bug where GetResponse optin without name field was failing.
* Remove all custom media button added by plugins and core to wp_editor.
* Re-arrangement of display rules and page-level targeting.
* Moved controls for hiding of note, headline, description to their panels.
* Added check to prevent sidebar aside tag from being included in markup when state after conversion is optin form hidden.
* Added filters to optin form components.
* Ensure customization save changes is publishing and not saving draft. Fixed bug in wordpress.com hosting.
* Swap out previous bulk activation of optin and automation to new queue system.
* Added filter to disable optin impression count.
* Added filter to optin form shortcode structure.
* Added: send email to admin when optin is failing to subscribe leads.
* Rebuilt settings setting page with tab.

= 1.2.1.0 =
* Fixed bug where impression wasn’t counting for sidebar/inpost optin forms.
* Fixed bug where impression count was doubling for popups, notification bar and slide in optins.
* Added activation of email campaign as toggle switches.
* Added support for background color for optin form fields.
* Fixed bug in OptinCampaignsRepository::get_optin_campaign_ids() working incorrectly.
* Fixed bug where columbine inpost field get overly long when CTA is activated with onclick to reveal optin.
* Fix styling for email campaign schedule control in customizer.
* Rebuilt how optin form style are inlined.
* Fixed bug where configuration of an optin clashes with another of same theme.
* Small design change of the form builder.
* Remove load_plugin_textdomain from core to main plugin file.
* Reworked honeypot implementation.
* Optimized images and added margin:0 to form optin tag.

= 1.2.0.4 =
* Added link to permanently dismiss review admin notice.

= 1.2.0.3 =
* Removed test files that raised security warning by VaultPress.
* Cleanup assets added to customizer preview frame by other plugins/themes.
* Fixed issue where sendy connection wasn't saving.
* Added index.php to all folders to prevent directory browsing.
* Removed close optin and close optin and reload in non-popup forms.
* Code and performance improvements.

= 1.2.0.2 =
* Tweak mailerlite to resubscribe user who previously unsubscribe and then opt-in again.
* Code and performance improvements.

= 1.2.0.1 =
* Fixed bug where AWeber connection settings page wasn't showing up.

= 1.2.0.0 =
* Added: connected status added to all connections.
* Added: Close Optin On Note Click in optin form completed.
* Fixed bug where lightbox impression count doubled
* Define background-color for all form fields.
* Added switch to activate/deactivate optin campaigns.
* Added shortcode support to headline, description and note
* Redesigned the connection settings page to be sidebar tabbed.
* Elementor now added as a connection.
* Connection's API key/token now obfuscated on display.
* Fixed bug in leads subscription that already exist in mailpoet from failing in other language WP installs eg German.
* Revamped single chosen field as well as date time and ace editor.
* Rearranged menu such that optin menus comes first before that of email menus.
* Added missing text-domain in strings.
* Fix textareas control with long height.
* Added filter to list of optin form fonts list.
* All form fields in optin form now captured during form submit.
* Added an event that is triggered after core optin form validation.
* An event is now triggered when optin form validation kicks in.
* Added styling to builder control descriptions.
* Replaced optin actions buttons with icon font. Tooltip added to describe the action.
* Replaced email automation actions text descriptions with icons. Tooltip added to describe the action.
* Ensure OptinConversionsRepository:: month_conversion_count() return integer.

= 1.1.7.1 =
* Added accidentally removed background color form builder control.
* Add action hook after optin form shortcodes definitions.

= 1.1.7.0 =
* Added: form background image customization for optin themes that support it.
* Added: shortcodes in email campaigns are now parsed before they are processed for delivery.
* Added collapse and expand buttons to connection and settings’ admin pages.
* Email campaigns label changed to email automation
* Log changed to Email Log
* Plugin menu re-arranged.

= 1.1.6.0 =
* Added: GetResponse and GetResponse360 integrations.
* Fixed bug where TinyMCE field preview wasn’t working in form/template builder.
* Fixed bug where clearing local cookies didn't clear that of successful optin conversion.
* Fix compatibility issues with upcoming WordPress 4.9

= 1.1.5.0 =
* Added after conversion actions feature: close optin, close optin and reload page, redirect to URL.
* Added Action hook triggered after optin subscription.
* Reverted change to limit_text() from wp_trim_words.
* Removed older hide_logged_in rule from form builder.
* Added: toggling of optin form close button.
* Burst connection email list cache after every settings change.
* Optimized all image assets.
* Added class_exist check to MailPoet API class before usage to prevent any PHP error.


* Custom CSS textarea converted to ACE Editor (Premium).
* Recycled existing optin themes to other types (Premium).
* Optin background image and logo support land in customizer.
* listing of optin and email campaign now in descending order
* Fixed bug where undefined webfont JS function causes optin not to display.
* Fixed bug that prevent highlighting of active tab in settings page.
* Added: shortcode and template tag embed of optin (Premium).
* replace custom function for trimming text with wp one
* All text-shadows be gone from every submit buttons in optin forms.
* Simplified connections composer packaging.
* Loads of performance enhancements
* Code improvements.

= 1.1.4.1 =
* Fixed bug where before/after post optin form wasn’t showing in post.

= 1.1.4.0 =
* Added MailPoet 3 integration.
* Added new Bannino optin theme (Premium).
* Added new Dashdot optin theme (Premium).
* Added new Daisy optin theme (Premium).
* Recycled existing optin themes to other types (Premium).
* Optin background image and logo support land in customizer.
* listing of optin and email campaign now in descending order
* Fixed bug where undefined webfont js function causes optin not to display.
* Fixed bug that prevent highlighting of active tab in settings page.
* Added: shortcode and template tag embed of optin (Premium).
* replace custom function for trimming text with wp one
* All text-shadows be gone from every submit buttons in optin forms.
* Simplified connections composer packaging.
* Loads of performance enhancements
* Code improvements.

= 1.1.3.0 =
* Added ActiveCampaign integration.
* Listing of optin and email campaign now displays the newest to oldest.
* Added styling to pre tag in email template.
* Added switch to toggle optin campaigns activation.
* Global success and interaction cookies rule implemented. Was previously missing.
* New display rule: Optin display can now be determined based on whether users are logged in or not.
* Added support for click triggered (2-step optin process). (Premium)
* Added refreshing styling to customizer controls.
* "Footer Description" changed to "mailing address" in optin customizer.
* Added check to ensure jQuery.MailOptin and jQuery.MailOptin.track_impression is defined to prevent any error.
* Fixed bug where custom fields associated with a connect/esp do not show on initial customizer UI page load.
* Loads of performance enhancements
* Code improvements.

= 1.1.2.0 =
* Added integration for Drip (Email Marketing Automation Software).
* Added ConvertKit integration.
* Added EmailOctopus integration.
* Added button to clear optin caches.
* Added settings to change optin branding url with affiliate link.
* Added impression tracking to inpost optin forms.
* Missing close icon now display on all optin types after subscription success.
* Fixed js bug that affected safari browsers when customizer is opened.
* Connections now implement the features_support() interface contract.
* Code improvements and performance enhancements.

= 1.1.1.1 =
* Now compatibility with MySQL versions less than 5.6.5.
* Fixed bug where MailChimp subscription wasn't working.

= 1.1.1.0 =
* Added Elementor form integration.

= 1.1.0.4 =
* Fixed bug where email service providers weren't showing on optin campaign customizer.

= 1.1.0.3 =
* Added mailerlite integration.

= 1.1.0.2 =
* Fixed bug where invalid controls were showing for sidebar optin.

= 1.1.0.1 =
* Fixes to some internal APIs.

= 1.1.0.0 =
* the genesis.